> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create a property list configuration

POST https://api.propexo.com/v1/admin/integrations/{integration_id}/property-lists
Content-Type: application/json

Create a property list configuration

Reference: https://docs.propexo.com/api-reference/configuration-ap-is/admin/create-a-property-list-configuration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `integration_id` (string, required) — The Propexo unique identifier for the integration

### Body (application/json)

This endpoint expects a _v1_admin_integrations_{integration_id}_property-lists_post_input.

- `x_property_list_id` (string, required) — The external ID from the PMS for the property list. This is not the Propexo ID. You may need to request this value from your customer
- `enabled` (boolean, required) — Whether or not we should be syncing data for this property list on this integration

## Response

### 200

Successful response

- `results` (V1AdminIntegrationsIntegrationIdPropertyListsPostOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1AdminIntegrationsIntegrationIdPropertyListsPostOutputResults

- `id` (string, required) — ID
- `created_at` (string, required) — The date record first entered Propexo
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_list_id` (string, required) — The Propexo unique identifier for the property list
- `x_property_list_id` (string, required) — The external ID from the integration vendor
- `enabled` (boolean, required) — Whether the property list is enabled and will have data ingested

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "x_property_list_id": "PMS-PL-987654",
  "enabled": true
}
```

**Response**

```json
{
  "results": {
    "id": "pl_123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2024-06-01T10:15:30Z",
    "integration_id": "int_789e0123-e45b-67d8-a901-234567890abc",
    "property_list_id": "prop_456e7890-f12b-34d5-c678-901234567def",
    "x_property_list_id": "PMS-PL-987654",
    "enabled": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/admin/integrations/integration_id/property-lists"

payload = {
    "x_property_list_id": "PMS-PL-987654",
    "enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/admin/integrations/integration_id/property-lists';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"x_property_list_id":"PMS-PL-987654","enabled":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/admin/integrations/integration_id/property-lists"

	payload := strings.NewReader("{\n  \"x_property_list_id\": \"PMS-PL-987654\",\n  \"enabled\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/admin/integrations/integration_id/property-lists")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"x_property_list_id\": \"PMS-PL-987654\",\n  \"enabled\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/admin/integrations/integration_id/property-lists")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"x_property_list_id\": \"PMS-PL-987654\",\n  \"enabled\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/admin/integrations/integration_id/property-lists', [
  'body' => '{
  "x_property_list_id": "PMS-PL-987654",
  "enabled": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/admin/integrations/integration_id/property-lists");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"x_property_list_id\": \"PMS-PL-987654\",\n  \"enabled\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "x_property_list_id": "PMS-PL-987654",
  "enabled": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/admin/integrations/integration_id/property-lists")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```